if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) and not GLOBAL.TheSim:GetGameID()=="DST" and not GetModConfigData("rog") then
	return
end

local heat = GetModConfigData("heat")
local food = GetModConfigData("food")

local function Trigger(inst,data)
	
	if inst.components and inst.components.temperature and inst.components.hunger then
		
		local mult = 1
		--double for mining
		if data.target and data.target.components.workable.action == GLOBAL.ACTIONS.MINE then
			mult = 2
		end
		
		inst.components.temperature:SetTemperature(inst.components.temperature.current + heat * mult)
		inst.components.hunger:DoDelta(food * mult, true)
	end
end

--AddSimPostInit(function(p) --now attach that to the player
AddPrefabPostInitAny(function(inst) --now attach that to the player
	if inst and inst:HasTag("player") then
		inst:ListenForEvent("working",Trigger)
	end
end)
